package SOFA.demos.logdemo;

public class TesterImpl implements Runnable {
  SOFA.Component.DCUP.DCUPComponentManagerImpl cm;
 
  LogInterface LogRequirement;
  boolean end; 
  boolean stopped;

  public TesterImpl(SOFA.Component.DCUP.DCUPComponentManagerImpl _cm) {
    cm = _cm;
    end = false;
    stopped = false;
  }

  private void setRequirement() throws SOFA.Component.NamingException {
    LogRequirement = (LogInterface) cm.getRequirement("Log");
  }

  public void run() {
    try {
      setRequirement();
    } catch (SOFA.Component.NamingException e) {
      throw new SOFA.SOFAnode.Run.SOFARuntimeException("Bad requirements", e);
    }
    while (!end) {
      LogRequirement.log("Hello world");
      try {
        Thread.currentThread().sleep(1000);
      } catch (Exception e) {
        ;
      }
    }
    stopped = true;
  }

  public void setEnd() {
    end = true;
  }

  public boolean isStopped() {
    return stopped;
  }
}
